# Generated by Django 3.2.11 on 2022-03-03 10:07

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0037_districtcrossroadpage_districtcustompage"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="districtcrossroadpage",
            options={"verbose_name": "Rozcestník s kartami"},
        ),
        migrations.AlterModelOptions(
            name="districtcustompage",
            options={"verbose_name": "Libovolná vlastní stránka"},
        ),
        migrations.AddField(
            model_name="districtcustompage",
            name="content",
            field=wagtail.fields.StreamField(
                [("text", wagtail.blocks.RichTextBlock())],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
        migrations.AlterField(
            model_name="districtcrossroadpage",
            name="cards_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek"
                                    ),
                                ),
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka",
                                        page_type=[
                                            # "district.DistrictAfterElectionPage",
                                            "district.DistrictArticlePage",
                                            "district.DistrictArticlesPage",
                                            "district.DistrictCenterPage",
                                            "district.DistrictContactPage",
                                            "district.DistrictCrossroadPage",
                                            "district.DistrictCustomPage",
                                            # "district.DistrictElectionPage",
                                            # "district.DistrictElectionPointPage",
                                            "district.DistrictPeoplePage",
                                            "district.DistrictPersonPage",
                                            # "district.DistrictProgramPage",
                                            # "district.DistrictTagsPage",
                                        ],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Karty rozcestníku",
            ),
        ),
    ]
